
#include "Building.h"

namespace DinastyOnline {
	namespace Network {
		TNL_IMPLEMENT_NETOBJECT(Building);
		
		// Building constructor
		Building::Building() : GameObject() {
			this->mObjectTypeMask = BuildingType;
		}
		
		Building::Building(StringTableEntry name) : GameObject() {
			this->mObjectTypeMask = BuildingType;
			this->name = name;
		}
	
		void Building::idle(TNL::F32 timeDelta)	{
		}
	}

}

